Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules
Class Action

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action

Direct Known Subclasses:
  AccessController, ActionEvent, DefaultAction, InitContextsAction, LoginUser, LogoutUser, SessionValidator

    public abstract class Action

extends Assembler

Generic Action class.

Version:
  $Id: Action.java 717934 2008-11-15 21:48:47Z tv $
Author:
  Dave Bryson, Peter Courcoux

Field Summary
`static int` | `CACHE_SIZE_DEFAULT` The default size for the action cache
`static String` | `CACHE_SIZE_KEY` Property for the size of the module cache if caching is on
`static String` | `NAME` Represents Action Objects
`static String` | `PREFIX` Prefix for action related classes and templates

Constructor Summary
`Action()`

Method Summary
`void` | `doPerform(PipelineData pipelineData)` A subclass must override this method to perform itself.
`abstract void` | `doPerform(RunData data)` Deprecated. Use PipelineData version instead.
`String` | `getPrefix()` Abstract method to provide the prefix for module related classes and templates
`protected void` | `perform(PipelineData pipelineData)` Subclasses can override this method to add additional functionality.
`protected void` | `perform(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Prefix for action related classes and templates

  See Also:
    Constant Field Values

### CACHE_SIZE_KEY

    public static final String CACHE_SIZE_KEY

  Property for the size of the module cache if caching is on

  See Also:
    Constant Field Values

### CACHE_SIZE_DEFAULT

    public static final int CACHE_SIZE_DEFAULT

  The default size for the action cache

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

  Represents Action Objects

  See Also:
    Constant Field Values

Constructor Detail

### Action

    public Action()

Method Detail

### getPrefix

    public String getPrefix()

  Description copied from class: `Assembler`
  Abstract method to provide the prefix for module related classes and templates

  Specified by:
    `getPrefix` in class `Assembler`
  Returns:
    the prefix
  See Also:
    `Assembler.getPrefix()`

### doPerform

    public abstract void doPerform(RunData data)
                            throws Exception

  Deprecated. Use PipelineData version instead.

  A subclass must override this method to perform itself. The Action can also set the screen that is associated with RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### perform

    protected void perform(RunData data)
                    throws Exception

  Deprecated. Use PipelineData version instead.

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use ActionLoader to perform an Action.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doPerform

    public void doPerform(PipelineData pipelineData)
                   throws Exception

  A subclass must override this method to perform itself. The Action can also set the screen that is associated with RunData.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### perform

    protected void perform(PipelineData pipelineData)
                    throws Exception

  Subclasses can override this method to add additional functionality. This method is protected to force clients to use ActionLoader to perform an Action.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.